Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class PerspectiveDescriptor.View

public static class PerspectiveDescriptor.View

Description of view and its layout inside the perspective. Generally this information is parsed by PerspecriveExtensionRegistryReader.

Field Summary
`final static String` | `BOTTOM`
`final static String` | `LEFT`
`final static String` | `RELATIVE_NONE` This constant should be used where yiu are addeing the first view.
`final static String` | `RIGHT`
`final static String` | `TOP`

Constructor Summary
`PerspectiveDescriptor.View(String viewId, String relativeId, String relationship, float ratio, boolean visible)`

Method Summary
`float` | `getRatio()` Returns the ratio that will be used to locate one view relative other.
`String` | `getRelationship()` Returns the relationship between view and relative.
`String` | `getRelativeId()` Returns the unique identifier of a view which already exists in the perspective.
`String` | `getViewId()` Returns unique identifier of the view which will be added to the perspective layout.
`boolean` | `isVisible()` Indicates whether the view is initially visible when the perspective is opened.
`String` | `toString()`

Field Detail

### BOTTOM

    public final static String BOTTOM

### LEFT

    public final static String LEFT

### RELATIVE_NONE

    public final static String RELATIVE_NONE

  This constant should be used where yiu are addeing the first view.

### RIGHT

    public final static String RIGHT

### TOP

    public final static String TOP

Constructor Detail

### PerspectiveDescriptor.View

    public PerspectiveDescriptor.View(String viewId, String relativeId, String relationship, float ratio, boolean visible)

Method Detail

### getRatio

    public float getRatio()

  Returns the ratio that will be used to locate one view relative other. There are two ways to specify the view size:
  1. ratio is the percentage of area within the relative view which will be donated to the view extension. This must be defined as a floating point value and lie between 0.05 and 0.95.
  2. Width/height for the left/top view in pixels. The value should be more then 5.

### getRelationship

    public String getRelationship()

  Returns the relationship between view and relative. The following values are supported: LEFT, RIGHT, TOP, BOTTOM.

### getRelativeId

    public String getRelativeId()

  Returns the unique identifier of a view which already exists in the perspective. This will be used as a reference point for placement of the view. The relationship between these two views is defined by relationship.

### getViewId

    public String getViewId()

  Returns unique identifier of the view which will be added to the perspective layout.

### isVisible

    public boolean isVisible()

  Indicates whether the view is initially visible when the perspective is opened.

### toString

    public String toString()

Association Links

to Class java.lang.String

  This constant should be used where yiu are addeing the first view.

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM